LiferaySOAPUserManager (UserManagement-ws 1.0.2-3.3.0 API)
Date: 2014-07-19

org.gcube.vomanagement.usermanagement.ws

## Class LiferaySOAPUserManager

- java.lang.Object
- - org.gcube.vomanagement.usermanagement.ws.LiferaySOAPUserManager

-     public class LiferaySOAPUserManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiferaySOAPUserManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMembershipRequestComment(String userId, String groupId)`
    `List<org.gcube.vomanagement.usermanagement.model.UserModel>` | `getMembershipRequests(String groupId)`
    `org.gcube.vomanagement.usermanagement.model.UserModel` | `getUser(String userId)`
    `org.gcube.vomanagement.usermanagement.model.UserModel` | `getUserByScreenName(String screenName)`
    `String` | `getUserCustomAttributeByName(String userId, String attrName)`
    `List<StringCoupleWrapper>` | `getUserCustomAttributes(String userId)`
    `String` | `getUserId(String userName)`
    `List<org.gcube.vomanagement.usermanagement.model.UserModel>` | `listPendingUsersByGroup(String groupIdn)`
    `List<org.gcube.vomanagement.usermanagement.model.UserModel>` | `listUnregisteredUsersByGroup(String groupIdn)`
    `List<org.gcube.vomanagement.usermanagement.model.UserModel>` | `listUsers()`
    `List<UserGroupListCoupleWrapper>` | `listUsersAndGroupsByRole(String roleIdn)`
    `List<UserRoleListCoupleWrapper>` | `listUsersAndRolesByGroup(String orgIdn)`
    `List<org.gcube.vomanagement.usermanagement.model.UserModel>` | `listUsersByGroup(String groupId)`
    `List<org.gcube.vomanagement.usermanagement.model.UserModel>` | `listUsersByGroupAndRole(String groupIdn, String roleIdn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiferaySOAPUserManager

          public LiferaySOAPUserManager()

  - ### Method Detail

    - #### getMembershipRequestComment

          public String getMembershipRequestComment(String userId,
                                           String groupId)
                                             throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                    org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException,
                                                    org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### getMembershipRequests

          public List<org.gcube.vomanagement.usermanagement.model.UserModel> getMembershipRequests(String groupId)
                                                                                            throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                                   org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault,
                                                                                                   org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### getUser

          public org.gcube.vomanagement.usermanagement.model.UserModel getUser(String userId)
                                                                        throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                               org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### getUserByScreenName

          public org.gcube.vomanagement.usermanagement.model.UserModel getUserByScreenName(String screenName)
                                                                                    throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                           org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault,
                                                                                           org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`

    - #### getUserId

          public String getUserId(String userName)
                           throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`

    - #### listPendingUsersByGroup

          public List<org.gcube.vomanagement.usermanagement.model.UserModel> listPendingUsersByGroup(String groupIdn)
                                                                                              throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                                     org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault,
                                                                                                     org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### listUnregisteredUsersByGroup

          public List<org.gcube.vomanagement.usermanagement.model.UserModel> listUnregisteredUsersByGroup(String groupIdn)
                                                                                                   throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                                          org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault,
                                                                                                          org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### listUsers

          public List<org.gcube.vomanagement.usermanagement.model.UserModel> listUsers()
                                                                                throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                       org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### listUsersAndGroupsByRole

          public List<UserGroupListCoupleWrapper> listUsersAndGroupsByRole(String roleIdn)
                                                                    throws org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException,
                                                                           org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                           org.gcube.vomanagement.usermanagement.exception.RoleRetrievalFault,
                                                                           org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.RoleRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### listUsersAndRolesByGroup

          public List<UserRoleListCoupleWrapper> listUsersAndRolesByGroup(String orgIdn)
                                                                   throws org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException,
                                                                          org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                          org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault,
                                                                          org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### listUsersByGroup

          public List<org.gcube.vomanagement.usermanagement.model.UserModel> listUsersByGroup(String groupId)
                                                                                       throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                              org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### listUsersByGroupAndRole

          public List<org.gcube.vomanagement.usermanagement.model.UserModel> listUsersByGroupAndRole(String groupIdn,
                                                                                            String roleIdn)
                                                                                              throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                                     org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### getUserCustomAttributeByName

          public String getUserCustomAttributeByName(String userId,
                                            String attrName)
                                              throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                     org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### getUserCustomAttributes

          public List<StringCoupleWrapper> getUserCustomAttributes(String userId)
                                                            throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                   org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

Copyright © 2014. All Rights Reserved.